;;;=============================================================================;
;; ACAD.MLN  ̸ ε 
;;;=============================================================================;
;(LoadMln "ACAD.MLN")
 

;;;=============================================================================;
;;; ý  
;;;=============================================================================;
;; AutoCAD 2015 (Release 20.0)(DWG 2015)
;; AutoCAD 2014 (Release 19.1)(DWG 2013)
;; AutoCAD 2013 (Release 19.0)(DWG 2013)
;; AutoCAD 2012 (Release 18.2)
;; AutoCAD 2011 (Release 18.1)
;; AutoCAD 2010 (Release 18.0)(DWG 2010)
;; AutoCAD 2009 (Release 17.2)
;; AutoCAD 2008 (Release 17.1)
;; AutoCAD 2007 (Release 17.0)(DWG 2007)
;; AutoCAD 2006 (Release 16.2)
;; AutoCAD 2005 (Release 16.1)
;; AutoCAD 2004 (Release 16.0)(DWG 2004)
;; AutoCAD 2002 (Release 15.2)
;; AutoCAD 2000i (Release 15.1)
;; AutoCAD 2000 (Release 15.0)(DWG 2000)
;; AutoCAD Release 14 (DWG r14)

(setvar "cmdecho" 0)

(defun Acad64Bit-version ()
  (vl-load-com)
  (> (strlen (vl-prin1-to-string (vlax-get-acad-object))) 40)
)
;;;-----------------------------------------------------------------------------;

;; acad 2014 ~  idwgtab  ϱ  ü   
(if (>= (atof (substr (getvar "ACADVER")1 4)) 19.1) (vl-cmdf "_.FileTabClose"))

;;iDwgTab ε

;; acad 2000/2000i/2002
  (if (= (substr (getvar "ACADVER")1 2) "15") (arxload "iDwgTab2000.arx"))

;; acad 2004/2005/2006
  (if (= (substr (getvar "ACADVER")1 2) "16") (arxload "iDwgTab2004.arx"))

;; acad 2007
  (if (= (substr (getvar "ACADVER")1 4) "17.0")
    (if (= (acad64bit-version) T)
      (arxload "iDwgTab2007x.arx")
      (arxload "iDwgTab2007.arx")
    )
  )

;; acad 2008
  (if (= (substr (getvar "ACADVER")1 4) "17.1")
    (if (= (acad64bit-version) T)
      (arxload "iDwgTab2008x.arx")
      (arxload "iDwgTab2007.arx")
    )
  )

;; acad 2009
  (if (= (substr (getvar "ACADVER")1 4) "17.2")
    (if (= (acad64bit-version) T)
      (arxload "iDwgTab2007x.arx")
      (arxload "iDwgTab2007.arx")
    )
  )

;; acad 2010/2011/2012
  (if (= (substr (getvar "ACADVER")1 2) "18")
    (if (= (acad64bit-version) T)
      (arxload "iDwgTab2010x.arx")
      (arxload "iDwgTab2010.arx")
    )
  )

;; acad 2013/2014
  (if (= (substr (getvar "ACADVER")1 2) "19")
    (if (= (acad64bit-version) T)
      (arxload "iDwgTab2013x.arx")
      (arxload "iDwgTab2013.arx")
    )
  )

;; acad 2015
  (if (= (substr (getvar "ACADVER")1 2) "20")
    (if (= (acad64bit-version) T)
      (arxload "iDwgTab2015x.arx")
      (arxload "iDwgTab2015.arx")
    )
  )

;;;-----------------------------------------------------------------------------;


;;;=============================================================================;
;;  Ÿ ̸  
;;;=============================================================================;

  (if	(= (stysearch "xitd") nil)
   	(styleset "xitd")
  )
  (if	(= (stysearch "xits") nil)
   	(styleset "xits")
  )
  (if	(= (stysearch "sim") nil)
   	(styleset "sim")
  )
  (if	(= (stysearch "title") nil)
   	(styleset "title")
  )
  (if	(= (stysearch "Standard") nil)
   	(styleset "Standard")
  )

;;;-----------------------------------------------------------------------------;


;;;=============================================================================;
;; ½ ̾ ͸ ϱ 
;;;=============================================================================;
  (c:LayerFiltersDelete)
;;;-----------------------------------------------------------------------------;


;;;=============================================================================;
;; ܺ ̾⿡ ϱ  ͸ ̸ 
;;;=============================================================================;
  (MakeLayerFilter "Xref_off" "~*|*")
;;;-----------------------------------------------------------------------------;


;;;=============================================================================;
;; CEN, Hidden, Dim ̾ Ÿ  
;;;=============================================================================;
(defun makebaselayer(/ l_h)
    (foreach item
       '(
            ("H" "hidden" 4 1 "㼱") ; Ѹ   ¿ 
            ("CEN" "center" 1 1 "߽ɼ")
            ("DIMLD" "Continuous" 4 1 "")
            ("HAT" "Continuous" 9 1 "")
            ("DIM" "Continuous" 4 1 "")
        )
        (apply 'XI:MakeLayer item)
    )
(princ)
)
;;;-----------------------------------------------------------------------------;


;;;=============================================================================;
;; ⺻ ũ⸦ ltscale Ͽ 
;;;=============================================================================;
(setvar "textsize" (* (getvar "ltscale") 2.0))
;;;-----------------------------------------------------------------------------;



;;;=============================================================================;
;;;  ½  Ʈ 
;;;=============================================================================;
(vl-cmdf "_.-scalelistedit" "_r" "_y" "_e")
;;;-----------------------------------------------------------------------------;



;;;=============================================================================;
;;  μƮؼ mleader, layer, table style, font style    ....
;;;=============================================================================;
(setvar "nomutt" 1)
(xi:MakeInsert "mleader_sam" '(0 0 0) 1 1 0 nil)
(entdel (entlast))
(XI:PurgeBlock "mleader_sam")
(setvar "nomutt" 0)
;;;-----------------------------------------------------------------------------;



;;;=============================================================================;
;;; ɾ࿡  ̾ ڵ ǵ.. 
;;; ۵ Ű DON,  DOFF  ;;;;
;;;=============================================================================;
(defun cmdlayerset ()
(setq *LayerDirector-LayerData*
'(
;;    ɾԷ           ɾ ̾
;;    COMMAND              LAYER NAME      ;;
;;    ("[DM]TEXT,TEXT"    "TEXT"      )  ;; ڰ ɾ TEXT ̾ Է
      ("DIM*"             "DIM")         ;; ġ DIM ̾ Է
      ("*LEADER"          "DIMLD")       ;; ü DIMLD  Է
      ("*HATCH"           "HAT")         ;; ġ HAT  Է
      ("*VPORT*"          "DEFPOINTS" )
)
)
(princ)
)

;;; ɾ  ;;;
(MakeBaseLayer)
(CmdLayerSet)
(c:don)

;;;-----------------------------------------------------------------------------;



;;;=============================================================================;
;; ڵۼ ѿ  ں 
;; 2015-02-24
;;;=============================================================================;
;;; ׸
(setq xi_DoorFrmLay "DOOR")   ;;;  
(setq xi_DoorFrmCol 4)        ;;; 
(setq xi_DoorSilLay "DOORSIL");;;  
(setq xi_DoorSilCol 6)        ;;;  

;;; â׸
(setq xi_WinBarLay "WINBAR") ;;; âȣ 
(setq xi_WinBarCol 4)        ;;; âȣ
(setq xi_WinEleLay "WINELE") ;;; âȣԸ 
(setq xi_WinEleCol 6)        ;;; âȣԸ
(setq xi_WinGlsLay "WINGLS") ;;; âȣ 
(setq xi_WinGlsCol 6)        ;;; âȣ
(setq xi_WinSilLay "WINSIL") ;;; â 
(setq xi_WinSilCol 4)        ;;; â
;;;-----------------------------------------------------------------------------;
(princ)
(setvar "cmdecho" 1)
;;;-----------------------------------------------------------------------------;

